Introduction
Space Odyssey identifies files that are commonly discardable, virtually deleted files, temp files, cache files, and various others produced by install, uninstall, defrag, graphics, development, and disk-scanning utilities , infrequently used, excessively large, or other files on your disk. Because these files may be unnecessary, Space Odyssey lists them, and lets you take appropriate action on those files you specify to free up disk space.

It will NOT DO anything to any files without your explicit instructions !

It is a good idea to run Space Odyssey before you install applications and before you optimize a drive.

Space Odyssey has now three methods of helping you create more disk space:

  • Express
  • Custom
  • Duplicates

In all cases, Space Odyssey identifies files that may be unnecessary and gives you the option to compress, delete, or move them to another storage area.

Go To Top Go to top Next Topic Next Topic

Copyright © 2000 UltraSoft S.R.L


What's New
Space Odyssey 2.0 comes with a lot of new features and improvements.
  • Clean Job Mechanism which make the disk cleaning easy and professional
  • Duplicates Search - a new method which implement a very fast routine to search for the duplicated files;
  • A complete new user interface which is more flexible and very powerful ( see General Presentation );
  • Log Information support - you will be able to track your actions anytime;
  • Open File and Open Location support - you can now open the any listed file and its location before you action on it;
  • Removed BAK and LOG file extensions from the express search method;
Go To Top Go to top Previous Topic Previous Topic Next Topic Next Topic


General Presentation
The Space Odyssey user interface is very simple and intuitive. It has a menu, a toolbar, a status bar and two views : a clean jobs view and a files view.

Space Odyssey Graphical User Interface

Fig. 1 - Space Odyssey Graphical User Interface

  1. The Menu

    The mainframe menu has four submenus :

    • Job

      menu_job.gif (2802 bytes)

      • New - creates new clean job;

      • Launch - runs the selected clean job;

      • Modify - modifies the selected clean job;

      • Delete - deletes the selected clean job;

      • View Log - shows the selected job log file ( if any );

      • Properties - shows the properties of the selected clean job;

      • Exit - leaves the Space Odyssey application an return to the operating system;

    • File

      menu_file.gif (4569 bytes)

      • Check - checks the selected file(s);

      • Uncheck - unchecks the selected file(s);

      • Eliminate - eliminates from the files list the selected file(s);

      • Select All - selects all the existing files in the files view;

      • Invert Selection - inverts the selection within the files list;

      • Open File - opens the the selected file;

      • Open Location - opens the selected file location;

      • Move - moves the checked file(s) to another storage location;

      • Compress - moves the checked file(s) to a zip archive;

      • Delete - deletes the checked file(s);

      • Sort By - sorts the files list by numerous elements : name, location, size, creation date, last modified date or last accessed date;

      • Properties - shows the selected file(s) properties;

    • View

      menu_view.gif (2546 bytes)

      • Toolbar - shows/hides the toolbar;

      • Status Bar - shows/hides the status bar;

      • Jobs View - shows/hides the jobs view;

    • Help

      menu_help.gif (3339 bytes)

      • Help - opens the current help window;

      • UltraSoft on the web - shortcuts to UltraSoft home page, to the products page and to the technical support.

      • About Space Odyssey ... - shows the credits dialog box;

  2. The Toolbar

The toolbar has 9 buttons : 4 for the jobs, 4 for the files and one button for the credits.

toolbar.gif (3861 bytes)

  3. The Status bar

    statusbar.gif (1825 bytes)

    • first pane shows the command help messages;

    • the second pane shows the drive where the last job was ran and the free space available on it;

    • the third pane shows the number of checked files and the their total size;

  4. The Clean Jobs View

    jobsview.gif (2583 bytes)

    The clean jobs view organizes the clean jobs using a tree structure. Folders may be created. The jobs may be created under that folders and moved from one to another.

    The idea is to group the jobs in folders using any criteria you want.

    A context menu is available for folders and jobs and for each clean job will be available the short description using tooltips.

    See the Clean Jobs chapter for more information.

  5. The Files View

    filesview.gif (10749 bytes)

    The files view organizes the files resulted after running a clean job using a list.

    You have to select the files you want to move, compress or delete using the main menu, the toolbar or the context menu in order to make the wanted action. See the Eliminate Action, Move Action, Compress Action or Delete Action for more information.


Clean Jobs Introduction

starship.gif (1180 bytes) Space Odyssey Previous Topic Previous Topic Next Topic Next Topic

Introduction
Space Odyssey has now three methods of helping you create more disk space:
  1. Express

    Express method searches for the files having one of the following extensions:

    - aps
    - bsc
    - ilk
    - ncb
    - old
    - obj
    - pch
    - rws
    - sbr
    - tmp
    - $$$

    and all the files located in the following directories:

    - Recycled;
    - Temp;
    - Tmp;
    - Debug;
    - Cache;
    - Temporary Internet Files;
    - Recent;
    - History;

  2. Custom

    Clean jobs having custom method search the disk for potentially unnecessary files using criteria you specify. In addition to searching for temporary and discardable files, this option allows you to search for other types of potentially unnecessary files, such infrequently used files for which you specify date the file was most recently accessed and large files for which you specify the minimum size.
    The criterions implied by this method are :

    • Location Selection
    • Name Selection
    • Extension Selection
    • Size Selection
    • Creation Time Selection
    • Last Modified Time Selection
    • Last Accessed Time Selection

  3. Duplicates

    Clean jobs having duplicates method search for the duplicated files on the selected drive.They will find all the files that have more then one copy on that drive.

In all cases, Space Odyssey identifies files that may be unnecessary and gives you the option to compress, delete, or move them to another storage area.

Press the "Next" and "Back" buttons to navigate through Space Odyssey steps , "Close" to quit the application and "Help" to get help about what to do.

Caution: Clean jobs find all files that meet specified criterions, including some which may be necessary to your system and should not be deleted. If you are unsure if a file is important, move or compress it instead of deleting it.


Job Name Selection

Step 1 - Job Name Selection
This is the first step in setup a clean job. You must choose a name and a short description for your new clean job.

Job Name And Description Selection

Fig. 1 - Job Name And Description Selection

The default name for a clean job is "New Job" and the default description is "No Description".You must change the defaults name and description in order to distinguish this clean job from the others.


General Presentation

Step 2 - Method Selection
This is the method selection step - the step where you can select one of the three available method for your clean job: express, custom and duplicates.

Express Method Selection

Fig. 1 - Express Method Selection

This wizard step is first that distinguish the clean jobs. You must select the express method for the express clean jobs, as seen in the figure above.


Drive Selection

Step 3 - Drive Selection
This is the a very simple step. You must select the drive where Space Odyssey will search for the files that qualify as candidates for compression, moving or deletion. Just select the wanted drive from the combo box.

Fig. 1 - Drive Selection


Log Information

Step 4 - Log Information
This wizard step allows you to setup the clean job to create log information. You can also to set the log information file name and the write mode : append or overwrite.

Log Information Step

Fig. 1 - Log Information Step

If you want the clean job to create log information just check the Create log file button, set the name of the log file and select the write mode - append or overwrite - by selecting the respective radio button.

If you don't want the clean job to create log information just uncheck the Create log file button.


Summary Step

Step 5 - Summary
This wizard step shows you a summary of your previous selections. If you want to do some modifications just press the Back button and return to the previous steps.

Fig. 1 - Summary Step


Final Step

Step 6 - Final Step
This final step allow you to decide what you want to do with the new created clean job. You can:

- launch it ( run it );

- save it;

- save it and launch it;

Fig. 1 - Final Step

If you want to run the new created job just right now and intend to never use it again, select the Launch it radio button.

If you want to save it and run it later select the Save it radio button.

If you want to run it right now and intend to use it later, too, select the Save it and launch it radio button.

Press the Finish button to finish clean job creation process.


General Presentation

Step 2 - Method Selection
This is the method selection step - the step where you can select one of the three available methods for your clean job: express, custom and duplicates.

Fig. 1 - Method Selection

This wizard step is first that distinguish the clean jobs. You must select the express method for the express clean jobs, as seen in the figure above.


Criterions Selection

Step 3 - Criterions Selection
This step lets you select the criterions which the clean job will use to search for files. You must select at least one criteria.

Fig. 1 - Criterions Selection

Available criterions are :

  • Location

    The clean job will search for discardable files only in the directories that match the directory names you enter. Note that if a directory is matching, the clean job will search for files all its subdirectories. Wildcards are allowed.

  • Name

    The clean job will search for the files that match the the file names you enter. Wildcards are allowed.

  • Extension

    The clean job will search for the files that match the file extensions you enter. Wildcards are allowed, too.

  • Size

    The clean job will search for the files that match the size interval you enter.

  • Creation Time

    The clean job will search for the files that creation time match the time interval you enter.

  • Last Modified Time

    The clean job will search for files that last modified time match the time interval you enter.

  • Last Accessed Time

    The clean job will search for files that last accessed time match the time interval you enter.

Note : If you select more criterions, the clean job will search for the files that match , not only some, but ALL the selected criterions !


Drive Selection

Step 4 - Drive Selection
This is the a very simple step. You must select the drive where the clean job will search for the files that qualify as candidates for compression, moving or deletion. Just select the wanted drive from the combo box.

Fig. 1 - Drive Selection


Location Selection

Step 5 - Location Selection
This step lets you add additional folder names to the discardable folders list by pressing the Add button or by pressing the Insert key on the keyboard. You can remove unwanted entries from the list by pressing the Remove button or by pressing the Delete key on the keyboard. You can also edit a entry by pressing the F2 key when the respective entry is selected. Use wildcards ( * and ? ) to specify general folder names. Specifying *MP would match any folder names that end in "MP", for example TEMP and TMP.
Remember that the clean job will search for discardable files only in the matching folders and all subfolders of matching folders

Fig. 1 - Location Selection


Name Selection

Step 6 - Name Selection
This step lets you add additional file names to the discardable files list by pressing the Add button or by pressing the Insert key on the keyboard. You can also remove unwanted entries from the list by pressing the Remove button or by pressing the Delete key on the keyboard and edit a entry by pressing the F2 key when the entry is selected. Use wildcards (*,?) to specify general file names. Specifying "*MP" would match any file names that end in "MP", for example "TEMP" and "TMP".

Fig 1 - Name Selection


Extension Selection

Step 7 - Extension Selection
This step lets you add additional file extensions to the discardable files list by pressing the Add button or by pressing the Insert key on the keyboard. You can also remove unwanted entries from the list by pressing the Remove button or by pressing the Delete key on the keyboard and edit a entry by pressing the F2 key when the entry is selected. Use wildcards (*,?) to specify general file extensions. Specifying "*AT" would match any file extensions that end in "AT", for example "BAT" and "DAT".

Fig. 1 - Extension Selection


Size Selection

Step 8 - Size Selection
This step lets you specify the size of the unwanted files . In this way, you can select all the large files from your drive.
  • If you want the clean job to search for discardable files larger than a given size just select from the combo box "Larger than" and input in the size edit box the wanted minimal value.

    Size Selection ( files larger then a given size )

    Fig. 1 - Size Selection ( files larger then a given size )

  • If you want the clean job to search for discardable files that have a size between two given values just select from the combo box "Between" and input in the size edit boxes the wanted minimal value and maximal value.

     Size Selection ( files that have the size between two given values )

Fig. 2 - Size Selection ( files that have the size between two given values )

  • If you want the clean job to search for discardable files less than a given value just select from the combo box "Less than" and input in the size edit box the wanted maximal value.

     Size Selection ( files smaller then a given size )

    Fig. 3 - Size Selection ( files smaller then a given size )


Creation Time Selection

Step 9 - Creation Time Selection
This step lets you specify the creation time of the unwanted files. In this way you can select all the files created very long time ago and which are probably needed no more.
  • If you want the clean job to search for discardable files that are older than a given date just select from the combo box "Older than" and input the wanted date;

Creation Time Selection - Older then a given date

Fig. 1 - Creation Time Selection - Older then a given date

  • If you want the clean job to search for discardable files that are older than a given date and recent than another one just select from the combo box "Between" and input the wanted dates;

Creation Time Selection - Between two given dates

Fig. 2 - Creation Time Selection - Between two given dates

  • If you want the clean job to search for discardable files that are recent than a given date just select from the combo box "Recent than" and input the wanted date.

    Creation Time Selection - Recent then a given date

    Fig. 3 - Creation Time Selection - Recent then a given date


Last Modified Time Selection

Step 10 - Last Modified Time Selection
This step lets you specify the last modified time of the unwanted files. In this way you can select all the files modified very long time ago and which are probably needed no more.
  • If you want the clean job to search for discardable files that last modified time is older than a given date just select from the combo box "Older than" and input the wanted date.

Last Modified Time Selection - Older then a given date

Fig. 1 - Last Modified Time Selection - Older then a given date

  • If you want the clean job to search for discardable files that last modified time is older than a given date and recent than another one just select from the combo box "Between" and input the wanted dates;

Last Modified Time Selection - Between two given dates

Fig. 2 - Last Modified Time Selection - Between two given dates

  • If you want the clean job to search for discardable files that last modified time is recent than a given date just select from the combo box "Recent than" and input the wanted date.

    Last Modified Time Selection - Recent then a given date

    Fig. 3 - Last Modified Time Selection - Recent then a given date


Last Accessed Time Selection

Step 11 - Last Accessed Time Selection
This step lets you specify the last accessed time of the unwanted files. In this way you can select all the files that have been accessed no more a long period of time and which are very probably needed no more.
  • If you want the clean job to search for discardable files that last accessed time is older than a given date just select from the combo box "Older than" and input the wanted date;

    Last Accessed Time Selection - Older then a given date

    Fig. 1 - Last Accessed Time Selection - Older then a given date

  • If you want the clean job to search for discardable files that last accessed time is older than a given date and recent than another one just select from the combo box "Between" and input the wanted dates;

Last Accessed Time Selection - Between two given dates

Fig. 2 - Last Accessed Time Selection - Between two given dates

  • If you want the clean job to search for discardable files that last accessed time is recent than a given date just select from the combo box "Recent than" and input the wanted date.

Last Accessed Time Selection - Recent then a given date

Fig. 3 - Last Accessed Time Selection - Recent then a given date


Log Information

Step 12 - Log Information
This wizard step allows you to setup the clean job to create log information. You can also to set the log information file name and the write mode : append or overwrite.

Log Information Step

Fig. 1 - Log Information Step

If you want the clean job to create log information just check the Create log file button, set the name of the log file and select the write mode - append or overwrite - by selecting the respective radio button.

If you don't want the clean job to create log information just uncheck the Create log file button.


Summary Step

Step 13 - Summary
This wizard step shows you a summary of your previous selections. If you want to do some modifications just press the Back button and return to the previous steps.

Fig. 1 - Summary Step


Final Step

Step 14 - Final Step
This final step allows you to decide what you want to do with the new created clean job. You can:

- launch it ( run it );

- save it;

- save it and launch it;

Fig. 1 - Final Step

If you want to run the new created job right now and intend to never use it again, select the Launch it radio button.

If you want to save it and run it later select the Save it radio button.

If you want to run it right now and intend to use it later, too, select the Save it and launch it radio button.

Press the Finish button to finish clean job creation process.


Method Selection

Step 2 - Method Selection
This is the method selection step - the step where you can select one of the three available methods for your clean job: express, custom and duplicates.

Fig. 1 - Method Selection

This wizard step is first that distinguish the clean jobs. You must select the duplicates method for the duplicates clean jobs, as seen in the figure above.


Final Step

Step 6 - Final Step
This final step allows you to decide what you want to do with the new created clean job. You can:

- launch it ( run it );

- save it;

- save it and launch it;

Fig. 1 - Final Step

If you want to run the new created job just right now and intend to never use it again, select the Launch it radio button.

If you want to save it and run it later select the Save it radio button.

If you want to run it right now and intend to use it later, too, select the Save it and launch it radio button.

Press the Finish button to finish clean job creation process.


General Presentation

Eliminate Action
After you run a clean job you have to choose the files you want to move, compress or delete. Some of the listed files may be still useful and so you have to leave them as they are. It is recommended to eliminate them from the resulted file list using ELIMINATE action.

Let's suppose you ran an express clean job on the drive C: and the following is the result of the search :

The resulted files

Fig. 1 - The resulted files

Now let's suppose you want to keep the files from the beginning of the list. All you have to do is to select them and press the Eliminate button on the toolbar.

The files you still need must be selected and eliminated from the list

Fig. 2 - The files you still need may be selected and eliminated from the list

After the eliminating process the list will look like below :

The files list after the eliminating process

Fig. 3 - The files list after the eliminating process

Notes:

  1. Will be eliminated from the list ONLY the selected files !
  2. The selected files will be eliminated from the list even they are checked or not ( see. Fig. 2 ) !
  3. ELIMINATE means you remove the files ONLY from the resulted files list , NOT from your hard drive ! They will remain as they were before on your hard drive !
  4. To eliminate the selected files you can use the File->Eliminate menu as well as the context menu or the Eliminate toolbar button.


Move Action
After you run a clean job you have to choose the files you want to move, compress or delete. You can choose to move the unwanted files to a backup folder instead to compress them or even to delete them.

Let's suppose you ran an express clean job on the drive C: and the following is the result of the search :

The resulted files

Fig. 1 - The resulted files

Now let's suppose you want to move the 4 files from the beginning of the list. All you have to do is to check only them and press the "Move" button on the toolbar.

Check only the files you want to move and press "Move" button

Fig. 2 - Check only the files you want to move and press the Move button

A dialog to select the destination folder will appear. You have to select the path where you want to move the checked files ( Back-up - in our case ) and press the Move button.

Destination Folder Selection

Fig. 3 - Destination Folder Selection

If you want to preserve the path of the files you want to move in order to have a the same directory structure you have to check the Preserve Path button as shown in the next picture :

Preserve Files Path

Fig 4 - Preserve Files Path

After the moving process the list will look like below :

The files list after moving process

Fig. 5 - The files list after moving process

As you've seen, it's very simple to move files wherever you want on your hard disk, preserving or not the directory structure.

Notes:

  1. Take care to check ONLY the files you want to move ! The MOVE action applies to ALL CHECKED FILES, as the COMPRESS and the DELETE actions, NOT TO SELECTED FILES as the ELIMINATE action !
  2. To move the checked files you can use the File->Move menu as well as the context menu or the Move toolbar button.


Compress Action
After you run a clean job you have to choose the files you want to move, compress or delete. You can choose to compress the unwanted files to a backup zip file instead to move them or even to delete them.

Let's suppose you ran an express clean job on the drive C: and the following is the result of the search :

The resulted files

Fig. 1 - The resulted files

Now let's suppose you want to compress the 4 files from the beginning of the list. All you have to do is to check only them and press the Compress button on the toolbar.

Check only the files you want to compress and press "Compress" button

Fig. 2 - Check only the files you want to compress and press Compress button

A dialog to select the zip file will appear. You have to select the zip file where you want to compress the checked files ( Back-up.zip - in our case ) and press the Open button.

Select the zip file

Fig. 3 - Select the zip file

After the compressing process the list will look like below :

The files list after compressing process

Fig. 4 - The files list after compressing process

As you've seen, it's very simple to compress files wherever you want on your hard disk, preserving the directory structure.

Notes:

  1. Take care to check ONLY the files you want to compress ! The COMPRESS action applies to ALL CHECKED FILES, as the MOVE and the DELETE actions, NOT TO SELECTED FILES as the ELIMINATE action !
  2. To compress the checked files you can use the File->Compress menu as well as the context menu or the Compress toolbar button.


Delete Action
After you run a clean job you have to choose the files you want to move, compress or delete. You can choose to delete the unwanted files instead to move or to compress them.

Let's suppose you ran an express clean job on the drive C: and the following is the result of the search :

The resulted files

Fig. 1 - The resulted files

Now let's suppose you want to delete the 2 files from the beginning of the list. All you have to do is to check only them and press the Delete button on the toolbar.

Check only the files you want to delete and press the "Delete" button

Fig. 2 - Check only the files you want to delete and press delete Delete button

A dialog will ask you for delete aproval, warning you it is better to archive the files before you delete them.

Press "Yes" if you are sure you want to delete the checked files

Fig. 3 - Press Yes if you are sure you want to delete the checked files

After the deleting process the list will look like below :

The files list fter deleting proccess

Fig. 4 - The files list fter deleting proccess

Notes:

  1. Take care to check ONLY the files you want to delete ! The DELETE action applies to ALL CHECKED FILES, as the MOVE and the COMPRESS actions, NOT TO SELECTED FILES as the ELIMINATE action !
  2. To delete the checked files you can use the File->Delete menu as well as the context menu or the Delete toolbar button.
  3. Before delete any file, BE SURE you don't need the file anymore !


How To

How To ...

... Create A Clean Job

  • In the job view, select the folder where you want to create the clean job as a child then select New Job from the context menu, or Job->New from the main menu. Follow the wizard which will guide you through jobs creation steps.


How To

How To ...

... Modify A Clean Job

  • Select the clean job then select Modify from the context menu, or Job->Modify from the main menu. Follow the wizard and make the wanted modifications. The modifications will be validated only you finish the wizard !


How To

How To ...

... Delete A Clean Job

  • Select the clean job and then select Delete from the context menu, or select Job->Delete from the main menu.


How To

How To ...

... Run A Clean Job

  • Select the clean job and then select Lauch from the context menu or from the main menu Job->Launch.


How To

How To ...

... View The Properties Of A Clean Job

  • Select the clean job and select from the context menu Properties or from the main menu Job->Properties.


How To

How To ...

... View The Log Information For A Clean Job

  • Select the clean job and from the context menu select View Log or from the main menu select Job->View Log.


How To

How To ...

... Change The Location Of A Clean Job

  • Just drag the clean job and drop it over the folder where you want to move it.


How To

How To ...

... Uninstall

  • From Control Panel, select the Add/Remove Programs; from the Install/Uninstall tab select Space Odyssey 2.0 and press the Add/Remove button.
  • The easiest way : from Start Menu select Programs->Space Odyssey->Uninstall.


Tips
  • If you aren't sure, DON'T DELETE a file; if you are positive you know it's all right to delete it, but it is recommended to archive it for a short period before deletion, just to be safe;

  • In the resulted list, work with short groups of files to be sure on which files you will action;

  • Don't use a sophisticated custom clean jobs ; it is recommended to do more simple clean jobs than a sophisticated one;

  • You can use Space Odyssey to do a well targeted job. Examples:

    1. You want to free the disk space used by unneeded files produced by some development tools : make a custom clean job only on 'obj' extension and 'Debug' and 'Release' locations;

    2. You installed some days ago an application and now you can't remove it : make a custom clean job using the creation time criteria and setting the matching interval the period of estimated time when you installed the unneeded application;

    You can find a lot of such well targeted jobs.

  • Some of resulted files can't be removed because they are used by other applications. Just press the 'Eliminate' button to eliminate them from the results list;

  • Group the clean jobs in order to easily find them. You can group them in folders on target drive criteria or on search method criteria.


Credits

starship.gif (1180 bytes) Space Odyssey Next Topic Previous Topic

Space Odyssey is made by

UltraSoft S.R.L.

Str. Novaci nr.3, Bl S23, Sc. 1, Apt. 25 , Sector 5, Bucharest Romania

tel. +40 1 252 52 63
fax: +40 92 112 392

web site : http://www.ultrasoft.ro
e-mail: office@ultrasoft.ro

bug reports, suggestions & support : support@ultrasoft.ro

All rights reserved.
Go To Top Go to top Next Topic Previous Topic